Bug 99271 - battstat-applet-2 segfaults when 2.6.0-test1.1.25 kernel is running
battstat-applet-2 segfaults when 2.6.0-test1.1.25 kernel is running
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-applets (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
: Triaged
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-07-16 16:37 EDT by Matt Domsch
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version: 2.5.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-28 02:38:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2003-07-16 16:37:02 EDT
Description of problem:
Running Red Hat Linux 9 on an up2date system, plus kernel 2.6.0-test1.1.25 i686
uniprocessor on a Dell Latitude C400.  battstat-applet-2 segfaults shortly after
starting.  If running a 2.4.20-8 or similar kernel, it works fine.

Version-Release number of selected component (if applicable):
gnome-applets-2.2.0-8
kernel-2.6.0-test1.1.25

How reproducible:
always

Steps to Reproduce:
1. see above
2.
3.
    
Actual results:
segfault

Expected results:
no segfault, battery monitor appears in the task bar.

Additional info:
backtrace from GDB on failure:
0xffffe410 in ?? ()
(gdb) bt
#0  0xffffe410 in ?? ()
#1  0x4008dfa7 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#2  <signal handler called>
#3  0x420a83a4 in readdir () from /lib/tls/libc.so.6
#4  0x08050328 in acpi_linux_read ()
#5  0x0804d1e2 in apm_readinfo ()
#6  0x0804fca7 in create_layout ()
#7  0x0804fe6d in create_layout ()
#8  0x40037f1f in panel_applet_marshal_BOOLEAN__STRING ()
   from /usr/lib/libpanel-applet-2.so.0
#9  0x40775ed7 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#10 0x401f025a in bonobo_closure_invoke_va_list ()
   from /usr/lib/libbonobo-2.so.0
#11 0x401f04f7 in bonobo_closure_invoke () from /usr/lib/libbonobo-2.so.0
#12 0x40035bc0 in panel_applet_get_background ()
   from /usr/lib/libpanel-applet-2.so.0
#13 0x40788d77 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#14 0x40775ed7 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#15 0x40788983 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#16 0x407879a8 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#17 0x40787be4 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#18 0x4010f4ce in bonobo_control_x11_from_window_id ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/libbonoboui-2.so.0
#19 0x401fedf1 in _ORBIT_skel_small_Bonobo_Control_setFrame ()
   from /usr/lib/libbonobo-2.so.0
#20 0x402c3cd7 in ORBit_POA_setup_root () from /usr/lib/libORBit-2.so.0
#21 0x402c7a75 in ORBit_OAObject_invoke () from /usr/lib/libORBit-2.so.0
#22 0x402b6392 in ORBit_small_invoke_adaptor () from /usr/lib/libORBit-2.so.0
#23 0x402c41b1 in ORBit_recv_buffer_return_sys_exception ()
   from /usr/lib/libORBit-2.so.0
#24 0x402c4501 in ORBit_recv_buffer_return_sys_exception ()
   from /usr/lib/libORBit-2.so.0
#25 0x402c796c in ORBit_handle_request () from /usr/lib/libORBit-2.so.0
#26 0x402b1e65 in giop_connection_handle_input () from /usr/lib/libORBit-2.so.0
#27 0x402e18f4 in linc_connection_set_max_buffer () from /usr/lib/liblinc.so.1
#28 0x402e3700 in linc_server_get_type () from /usr/lib/liblinc.so.1
#29 0x407ccb35 in g_get_current_time () from /usr/lib/libglib-2.0.so.0
#30 0x407cdb78 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#31 0x407cde8d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#32 0x407ce58f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#33 0x401df328 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#34 0x401dd3f4 in bonobo_generic_factory_main () from /usr/lib/libbonobo-2.so.0
#35 0x40036a9a in panel_applet_factory_main_closure ()
   from /usr/lib/libpanel-applet-2.so.0
#36 0x40036bc3 in panel_applet_factory_main ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib/libpanel-applet-2.so.0
#37 0x0804ff65 in main ()
#38 0x420156a4 in __libc_start_main () from /lib/tls/libc.so.6
Comment 1 Havoc Pennington 2003-08-05 18:10:04 EDT
Arjan is this likely to be the kernel sending segv when you touch the 
/proc dir? Or should I look for string parsing screwups in the applet?
Comment 2 Arjan van de Ven 2003-08-06 03:34:33 EDT
not sure; however it crashed for me as well until I stuck
#!/bin/sh
modprobe ac
modprobe battery
modprobe processor
modprobe fan
modprobe thermal

in the /etc/rc.modules file
Comment 3 Bill Nottingham 2004-01-28 02:38:38 EST
This is fixed in gnome-applets-2.5-1. However, the applet now requires
acpid.

Note You need to log in before you can comment on or make changes to this bug.